Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 1216)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 1217)
@@ -73,7 +73,7 @@
  */
 public class DBTransform {
 
-  private Connection	conn = null;
+  //private Connection	conn = null;
   private MetaCatUtil   util = null;
   private String 	configDir = null;
   private String	defaultStyle = null;
@@ -85,12 +85,12 @@
    *
    * @param conn the database connection from which to lookup the public ids
    */
-  public DBTransform( Connection conn ) 
+  public DBTransform() 
                   throws IOException, 
                          SQLException, 
                          ClassNotFoundException
   {
-    this.conn = conn;
+    //this.conn = conn;
     util = new MetaCatUtil();
     configDir = util.getOption("config-dir");
     defaultStyle = util.getOption("default-style");
@@ -318,11 +318,16 @@
                 String targettype) {
 
     // Look up the System ID of a particular object
-    PreparedStatement pstmt;
+    PreparedStatement pstmt = null;
     String the_system_id = null;
+    DBConnection dbConn = null;
+    int serialNumber = -1;
     try {
+      dbConn=DBConnectionPool.
+                  getDBConnection("DBTransform.getSystemId");
+      serialNumber=dbConn.getCheckOutSerialNumber();
       pstmt =
-        conn.prepareStatement("SELECT system_id " +
+        dbConn.prepareStatement("SELECT system_id " +
                 "FROM xml_catalog " +
                 "WHERE entry_type = ? " +
                 "AND source_doctype = ? " +
@@ -363,6 +368,22 @@
       return ("Error getting id in DBTransform.getSystemId:: " + 
                e.getMessage());
     }
+    finally
+    {
+      try
+      {
+        pstmt.close();
+      }//try
+      catch (SQLException sqlE)
+      {
+        MetaCatUtil.debugMessage("Error in DBTransform.getSystemId: "
+                                   +sqlE.getMessage(), 30);
+      }//catch
+      finally
+      {
+        DBConnectionPool.returnDBConnection(dbConn, serialNumber);
+      }//finally
+    }//finally
     return the_system_id;
   }
 
@@ -382,8 +403,8 @@
         try {
                     
           // Open a connection to the database
-          MetaCatUtil   util = new MetaCatUtil();
-          Connection dbconn = util.openDBConnection();
+          /*MetaCatUtil   util = new MetaCatUtil();
+          Connection dbconn = util.openDBConnection();*/
 
           // Create a test document
           StringBuffer testdoc = new StringBuffer();
@@ -393,7 +414,7 @@
           testdoc.append("<title>My test doc</title></eml-dataset>");
 
           // Transform the document to the new doctype
-          DBTransform dbt = new DBTransform(dbconn);
+          DBTransform dbt = new DBTransform();
           dbt.transformXMLDocument(testdoc.toString(), 
                                    "-//NCEAS//eml-dataset//EN", 
                                    "-//W3C//HTML//EN", 
